Groundeddocs
ReferenceKnowledge bases

Knowledge bases (session, or an API key with the query scope)

GET/v1/teams/{team}/kbs

Path Parameters

team*string

Team slug or ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/teams/string/kbs"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "embeddingProfileId": "8dcd7938-4b29-4322-bd8d-1bc46747c2a4",      "topK": 0,      "sources": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "classification": "string",          "shared": true        }      ],      "effectiveClassification": "string",      "fusionWeights": {        "vector": 0,        "keyword": 0      },      "effectiveFusionWeights": {        "vector": 0,        "keyword": 0      },      "fusionWeightsSource": "knowledge_base",      "revision": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}